Subject: Re: What the heck is EMSA/MAS file format?

From: [email-masked] (Steven D. Majewski)
Date: 9 Jul 1998 16:53:03 GMT

In article <[email-masked]>,
Jim Conner <[email-masked]> wrote:
>Subject says it all.  Looking for information on this file format, which
>is apparently used for spectroscopic data.  How is the format defined? 
>What advantages does it have over, say, tab-delimited X-Y data?  Is this
>file format common or is it only rarely used?
>
>Thanks for any info on this!
>
>Jim Conner
>

[1] It's an ascii format.
[2] It has standard tags for some meta data. <Needs more!>
[3] The meta data tag lines all start with "#" , for example:

#FORMAT        : EMSA/MAS Spectral Data File
#VERSION       : 1.0
#TITLE         : Cu Grid
#DATE          : 07-Jul-1998
#TIME          : 18:49
#OWNER         : 
#NPOINTS       : 56
#XUNITS        : KeV
#YUNITS        : Counts
#NCOLUMNS      : 1
#DATATYPE      : Y
#XPERCHAN      : 0.01
#OFFSET        : 0.65
#SIGNALTYPE    : EDS

-- many unix derrived programs are used to treating "#" as a comment 
delimiter, so lots of program (Gnuplot for one example) will treat 
the file as just a list of numbers and ignore the metadata tags. 

[4] I wouldn't exactly call it "common", but file and metadata standards
 are not generally common in spectroscopy, where each instrument mfgr.
 has created his own file format. But it's fairly widely used in EDS 
 as an interchange format -- most of the proprietary software I've seen
 has an option to import/export EMSA/MAS File Format. DTSA has plug-in's
 to read and write to that and other formats. I have (incompletely
 tested and documented) Lisp and Python routines to read & write EMSA/MAS.
 ( The Mac version of the Python program is a "droplet" -- you can drag
  and drop a whole folder of DTSA files onto the program icon and it
  will batch convert them to EMSA/MAS format. ) 

The spec is available at:

<ftp://www.amc.anl.gov/AMC-3/ANLSoftwareLibrary/2-EMMPDL/Xeds/EMMFF/emmff.doc>

And I have a copy on my web site at:

<http://galen.med.virginia.edu/~sdm7g/XES/Docs/emmff.doc>